resource "kubernetes_config_map" "ip_masq_agent" {
  count = var.enable_snat ? 1 : 0

  metadata {
    name      = "ip-masq-agent"
    namespace = "kube-system"
  }

  data = {
    # nonMasqueradeCIDRs must include pod and node IP address ranges : https://cloud.google.com/kubernetes-engine/docs/how-to/ip-masquerade-agent
    config = "nonMasqueradeCIDRs:\n  - 10.10.10.0/26\n  - 240.10.0.0/17\nmasqLinkLocal: false\nresyncInterval: 60s\n"
  }

  depends_on = [var.node_pool]
}
